%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define name            tyrex
%define version         1.0
%define release         3jpp

Summary: 		an Open Source implementation of the Java Transaction Service
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Epoch:			0
Vendor:         	JPackage Project
Distribution:   	JPackage
Group: 			Development/Tools
Copyright: 		GPL
Url: 			http://tyrex.sf.net
BuildArch:		noarch
BuildRequires:  	ant, jta, jndi, j2ee-connector, javamail, log4j, castor
BuildRequires:		jdbc-stdext-ext, jsse-ext, jaas-ext
BuildRequires:		java-1.3.1-devel
BuildRequires:		jpackage-utils > 1.4, sed
Source: 		http://prdownloads.sourceforge.net/tyrex/%{name}-%{version}-src.tgz
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Tyrex is a J2EE service provider for both Servlet
and EJB container, JMS providers and generic connectors. 
It provides services for security and authentication,
local and distributed transactions, resource configuration
and pooling, and TP monitoring. 

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
# remove external jars
#This should be changed into :
#rm -fr $(find . -follow -name "*.jar")

pushd lib
rm -fr ant*.jar xerces*jar xslp*jar jta*jar jndi*jar javamail*jar junit*jar log4J*jar jdbc*jar ldapjdk*jar castor*jar bin 
echo "remaining jars to add to jpackage :"
ls
popd

# Be extra careful
export LANG=C
export LD_ASSUME_KERNEL=2.2.5

# Use highest priority 1.3.1 jvm available
export JAVA_HOME=%{_jvmdir}/java-1.3.1

CLASSPATH=$(build-classpath j2ee-connector jta jndi jdbc-stdext javamail/mailapi log4j jsse jaas castor)

# Somehow this should be provided by external jpp rpms
BINCLASSPATH="$PWD/lib/ots-jts_1.0.jar"

export CLASSPATH="$CLASSPATH:$BINCLASSPATH"

ant -buildfile src/build.xml jar

# move xsl style to doc dir since xsl process didn't
# works in xsl are not on the same dir that xml !!!!
# doc generation didn't works with latest Xalan / ant
#cp src/doc/style/*.xsl src/doc/
#ant $ANT_OPTS -buildfile src/build.xml doc

ant -buildfile src/build.xml javadoc
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}

install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}

# manual
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -prf build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# versioning
( cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{version}.jar %{name}.jar )

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
#%doc LICENSE README WHATSNEW
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-3jpp
- Rebuild with external castor

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-2jpp
- For jpackage-utils 1.5

* Mon Jan 21 2002 Henri Gomez <hgomez@slib.fr> 0.9.7.0-1jpp
- Initial jpp release
- will require a later rebuild against to be created package :
  castor-xml.jar, jaas.jar, jtf-0.1.jar, jts.jar, ldapjdk.jar, ots.jar, utils-0.5.jar

* Fri Nov 16 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7 RPM release 2
- rebuild with jikes 1.15

* Tue Oct 02 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7
- Initial release 
- XML documentation couldn't be generated using latest ant/xalan
- jikes 1.15 couldn't be used and reports many errors

